aboutsummaryrefslogtreecommitdiff
path: root/build-dpdk.sh
diff options
context:
space:
mode:
authorAnders Roxell <anders.roxell@linaro.org>2014-11-29 23:35:02 +0100
committerAnders Roxell <anders.roxell@linaro.org>2015-01-03 02:05:26 +0100
commit638309ad1092c2dc18b823a98602286a4cd3677d (patch)
tree87a03dfa3c2797921086e4b6e4dfd94b901d2cd5 /build-dpdk.sh
parent0dafec9f0d0101bbddb9e2bfe193e177451e7e13 (diff)
rename scripts
Signed-off-by: Anders Roxell <anders.roxell@linaro.org>
Diffstat (limited to 'build-dpdk.sh')
-rwxr-xr-xbuild-dpdk.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/build-dpdk.sh b/build-dpdk.sh
new file mode 100755
index 0000000..3dbe849
--- /dev/null
+++ b/build-dpdk.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+set -e
+
+export ROOT_DIR=$(readlink -f $(dirname $0))
+export CLEANUP="${CLEANUP:-1}"
+export GIT_ODP="${GIT_ODP:-git://git.linaro.org/lng/odp-dpdk.git}"
+
+source ${ROOT_DIR}/helper/dpdk
+
+usage() {
+ ./build.sh -h
+ dpdk_usage
+}
+
+if [[ "x$1" = "x-h" || "x$1" = "x--help" ]]; then
+ usage
+ exit 0
+fi
+
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ if [[ ${CLEANUP} -eq 1 ]]; then
+ dpdk_cleanup
+ fi
+}
+
+prepare_dpdk
+
+cd $ROOT_DIR
+#common ODP build script
+./build.sh
+
+[[ $? -eq 1 ]] && exit 1
+cd -
+## vim: set sw=4 sts=4 et foldmethod=syntax : ##